/*
use anyhow::*;
use crate::deep;
use crate::{config::FLOAT};

pub trait Simulation{
    fn reward(&self, action: usize) -> Result<FLOAT>;
}

pub trait Body<T>{
    fn action(&mut self, world: &mut T, action: usize) -> Self;
}

struct DQN{
    table: Box<[Box<[FLOAT]>]>,
    model: Box<dyn deep::par::ParLayer>,
}

impl DQN{
    fn learn(&mut self, dope: FLOAT) -> Result<FLOAT>{
        Ok(0.0)
    }
}
*/
